#! /usr/bin/env python
import scadat,os
import argparse

parser = argparse.ArgumentParser(description=\
        "Find Tango by ip address\n\
        e.g. scadat_search.py 198.23.242.110 5")
parser.add_argument('ip',help='ip address')
parser.add_argument('nr',help='increment value')

args = parser.parse_args()

ip_address=args.ip
ipall=ip_address.split(".")
ipbase="%s.%s.%s"%(ipall[0],ipall[1],ipall[2])
baseNr=int(ipall[3])

myscadat=scadat.scadat_tango.scadat_tango()
for x in range(baseNr, baseNr+int(args.nr)):
    ipAddress="%s.%s"%(ipbase,str(x))
    target=os.environ["TANGO_HOST"]="%s:%s"%(ipAddress,"10000")
    try:
        if(myscadat.openDB()):
#            print "Found Tango at %s"%target
            print "%s - Tango found"%target
    except Exception as e:
        print "%s - no Tango"%target
#print "length=%s"%len(ipall)
